package stringgrid;

import javafx.application.Application;
import javafx.stage.Stage;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.fxml.FXMLLoader;


/**
 * @author vesal
 * @version 24.3.2016
 */
public class NimiJaVuosiMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("NimiJaVuosiView.fxml"));
            final Pane root = ldr.load();
            //final SRController srCtrl = (SRController) ldr.getController();
            Scene scene = new Scene(root);
            scene.getStylesheets().add(getClass().getResource("nimijavuosi.css").toExternalForm());
            primaryStage.setScene(scene);
            primaryStage.setTitle("NimiJaVuosi");
            primaryStage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * @param args Ei käytössä
     */
    public static void main(String[] args) {
        launch(args);
    }
}