package hello.bind;
import java.net.URL;
import java.util.ResourceBundle;

import javafx.beans.property.SimpleStringProperty;
import javafx.fxml.FXML;
import javafx.fxml.Initializable;
import javafx.scene.control.Label;

/**
 * Ksittelijluokka HelloWorld-sovellukselle
 * @author vesal
 * @version 4.3.2016
 */
public class HelloWorldController implements Initializable {
    @FXML private Label label;
    
    @FXML private void handlePressed() {
        ilmoitus.set(viesti);
    }

    
    private SimpleStringProperty ilmoitus = new SimpleStringProperty("Hello World!");
    private String viesti = "Well Done!";
    
    
    @Override
    public void initialize(URL location, ResourceBundle resources) {
        label.textProperty().bindBidirectional(ilmoitus);
    }
    
    
    /**
     * @param msg mik viesti tulee painikkeen painamisesta
     */
    public void setViesti(String msg) {
       viesti = msg; 
    }
}
