package hello.bind;
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

/**
 * Yksinkertainen esimerkki JavaFX ohjelmasta joka hakee ulkoasun FXML-tiedostosta.
 * Kontrollerille kerrotaan mik teksti pit nytt.
 * @author vesal
 * @version 4.3.2016
 */
public class HelloWorldMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            FXMLLoader ldr = new FXMLLoader(getClass().getResource("HelloWorldView.fxml"));
            final Pane root = (Pane)ldr.load();
            final HelloWorldController helloCtrl = (HelloWorldController)ldr.getController();
            helloCtrl.setViesti("Kiitti!");
            Scene scene = new Scene(root);
            primaryStage.setScene(scene);
            primaryStage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    
    /** @param args  ei kytss  */
    public static void main(String[] args) { 
        launch(args);   
    }
}
