package hello.simple;
import javafx.application.Application;
import javafx.fxml.FXMLLoader;
import javafx.scene.Scene;
import javafx.scene.layout.Pane;
import javafx.stage.Stage;

/**
 * Yksinkertainen esimerkki JavaFX ohjelmasta joka hakee ulkoasun FXML-tiedostosta
 * @author vesal
 * @version 4.3.2016
 */
public class HelloWorldMain extends Application {
    @Override
    public void start(Stage primaryStage) {
        try {
            Pane root = FXMLLoader.load(getClass().getResource("HelloWorldView.fxml"));
            Scene scene = new Scene(root);
            primaryStage.setScene(scene);
            primaryStage.show();
        } catch(Exception e) {
            e.printStackTrace();
        }
    }

    
    /** @param args  ei kytss  */
    public static void main(String[] args) { 
        launch(args); 	
    }
}
